> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create category, merchant feedback

> Provide feedback on a Transaction's Categories and Merchants



## OpenAPI

````yaml https://app.herondata.io/swagger put /api/transactions/{heron_id}/feedback
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/transactions/{heron_id}/feedback:
    put:
      tags:
        - EnrichmentFeedback
      summary: Create category, merchant feedback
      description: Provide feedback on a Transaction's Categories and Merchants
      parameters:
        - description: Transaction `heron_id`
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                transaction:
                  $ref: '#/components/schemas/TransactionFeedbackSchema'
              type: object
        description: >
          A partial Transaction object with the suggested Category and/or
          Merchant. If you provide a `heron_id` for Category or Merchant, you
          don't need to provide other fields. If you don't know the Merchant
          `heron_id` nor name, you can just send the `is_correct` boolean. If
          `heron_id` is provided, we disregard `name` and `label`. If
          `is_correct` is set to true, we disregard all other Merchant fields.
        required: true
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TransactionFeedbackSchema:
      properties:
        category:
          allOf:
            - $ref: '#/components/schemas/CategoryFeedback'
          default: {}
          example:
            heron_id: ctg_SCDfepKXJ7UBX9FRdT6iPM
            label: Insurance
        merchant:
          allOf:
            - $ref: '#/components/schemas/MerchantFeedback'
          default: {}
          example:
            heron_id: mrc_XzS8oncUAaLMhLmwNh6dp7
            is_correct: false
            name: Spotify
        source:
          description: >-
            your identifier for where the feedback comes from e.g.
            bob_the_underwriter
          maxLength: 120
          nullable: true
          type: string
      type: object
    CategoryFeedback:
      properties:
        heron_id:
          description: heron_id of the correct category
          example: ctg_ZaQJyhQRrfzrNCF3sZVdqa
          type: string
        label:
          description: label of the correct category
          example: Insurance
          type: string
      type: object
    MerchantFeedback:
      properties:
        heron_id:
          description: heron_id of the correct merchant
          example: mrc_ZQyn2WRmA9UZmURCxVGVuL
          type: string
        is_correct:
          default: false
          example: false
          type: boolean
        name:
          description: name of the correct merchant
          example: Spotify
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````